vty-unix-0.2.0.0: Unix backend for Vty

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.Platform.Unix.Input.Classify.Types

Description

Data types for the input parser.

This module is exposed for testing purposes only; applications should never need to import this directly.

Synopsis

- data KClass
  - = Valid Event ByteString
  - | Invalid
  - | Prefix
  - | Chunk
- data ClassifierState
  - = ClassifierStart
  - | ClassifierInChunk ByteString [ByteString]

# Documentation

data KClass Source #

Constructors

Valid Event ByteString | A valid event was parsed. Any unused characters from the input stream are also provided.
Invalid | The input characters did not represent a valid event.
Prefix | The input characters form the prefix of a valid event character sequence.
Chunk | The input characters are either start of a bracketed paste chunk or in the middle of a bracketed paste chunk.

#### Instances

Instances details

Show KClass Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Input.Classify.Types Methods showsPrec :: Int -> KClass -> ShowS Source # show :: KClass -> String Source # showList :: [KClass] -> ShowS Source #
Eq KClass Source # |
Instance details Defined in Graphics.Vty.Platform.Unix.Input.Classify.Types Methods (==) :: KClass -> KClass -> Bool Source # (/=) :: KClass -> KClass -> Bool Source #

data ClassifierState Source #

Whether the classifier is currently processing a chunked format. Currently, only bracketed pastes use this.

Constructors

ClassifierStart | Not processing a chunked format.
ClassifierInChunk ByteString [ByteString] | Currently processing a chunked format. The initial chunk is in the first argument and a reversed remainder of the chunks is collected in the second argument. At the end of the processing, the chunks are reversed and concatenated with the final chunk.